# @(#)01  1.7 src/cmdline/staging/scripts/create_domain.py, amws.cmdline, fim611, 060808b 5/4/06 20:19:52
# (C) Copyright International Business Machines Corporation 2005. All rights
# reserved.  U.S. Government Users Restricted Rights -- Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
                                                                                
from fim_base import read_properties_file, get_domain_instance, jython_to_java_array
from domain_utils import create_domain
from com.tivoli.am.fim.logging import FIMLoggerFactory
from com.tivoli.am.fim.logging import FIMLogger
from com.tivoli.am.fim.logging import FIMLevel
from com.tivoli.am.fim.i18n.msgs import CmdLineMessages
from jarray import array
from java.lang import Object
from com.tivoli.am.fim.logging import FIMLoggerConstants

# Set up FIMLogger
component_name = "StagingTools"
script_name = "create_domain.py"
method_name = script_name
class_name = "com.tivoli.am.fim.cmdline." + script_name[0:-3]
FIMLoggerFactory.enableStdout(FIMLevel.ALL)
FIMLoggerFactory.setPreferredFIMLoggerImpl(FIMLoggerConstants.FIMLOGGER_BASE_IMPL)
log = FIMLoggerFactory.getFIMLogger(component_name, class_name, CmdLineMessages.CLASS_NAME)

def usage():
    inserts = array([script_name],Object)
    log.logMessage(FIMLevel.INFO, method_name, CmdLineMessages.usage_create_domain, \
        inserts)
    raise SystemExit

if __name__ == 'main':

    if(len(sys.argv) < 1):
        usage()
        
    props_file = sys.argv[0]
    
    domain_props = read_properties_file(props_file)
    domain = get_domain_instance(domain_props)    

    # create variable inserts for logger
    inserts = array([domain_props["Domain"]],Object)

    try:
        create_domain(domain)
        log.logMessage(FIMLevel.INFO, method_name, CmdLineMessages.created_domain_successfully, inserts)
        log.logMessage(FIMLevel.INFO, method_name, CmdLineMessages.restart_websphere)   
    except:
        log.logMessage(FIMLevel.WARNING, method_name, CmdLineMessages.unable_to_create_domain, inserts)
        raise SystemExit
